Bug 1459455 - Creating a Clone vm from template with Format "QCOW2" and Target "block based storage" has a disk with same actual and virtual size
Creating a Clone vm from template with Format "QCOW2" and Target "block based...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: Tal Nisan
Raz Tamir
:
: 1480133 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 04:12 EDT by Eyal Shenitzky
Modified: 2017-11-15 10:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)
engine and vdsm logs (2.00 MB, application/x-gzip)
2017-06-07 04:12 EDT, Eyal Shenitzky
no flags Details
engine and vdsm logs new (1.43 MB, application/x-gzip)
2017-06-11 05:12 EDT, Eyal Shenitzky
no flags Details

  None (edit)
Description Eyal Shenitzky 2017-06-07 04:12:56 EDT
Created attachment 1285704 [details]
engine and vdsm logs

[reply] [−]  Private Description Ameya Charekar 2017-02-04 01:13:42 EST
Description of problem:
Creating a Clone vm from template with Format "QCOW2" and Target "block based storage" created disks with actual and virtual size same.

Version-Release number of selected component (if applicable):
Red Hat Virtualization Manager Version: 4.0.6.3-0.1.el7ev 

How reproducible:
Always.

Steps to Reproduce:
1. Create a New VM from template.
2. Select Format "QCOW2".
3. Select any block based storage.

Actual results:
Actual size and Virtual size is same.

Expected results:
Virtual size should not be same as actual size. 

Additional info:
File based storage do not have this issue.
Comment 1 Allon Mureinik 2017-06-08 06:35:42 EDT
Tal, didn't we solve something like this already?
(note the reported version).

Eyal - does this reproduce with modern 4.1.z engines?
Comment 2 Red Hat Bugzilla Rules Engine 2017-06-08 06:36:25 EDT
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.
Comment 3 Eyal Shenitzky 2017-06-11 01:27:16 EDT
Sorry about the versions confusion, copy-paste error.

Versions:
Engine - 4.2.0-0.0.master.20170602194647.gitaf23eb5.el7.centos
VDSM - 4.20.0-970.gitf0c24e5.el7.centos.x86_64

Also on:

Engine - 4.1.3.1-0.1.el7
VDSM - 4.19.17-1.el7ev.x86_64
Comment 5 Maor 2017-06-11 03:50:51 EDT
Continuing the conversation from https://bugzilla.redhat.com/show_bug.cgi?id=1419240.

(In reply to Eyal Shenitzky from comment #18)
> The relevant operation is create VM from a template as clone with disk QCOW.
> not copy disk.
> But let's move the conversation to the relevant bug -
> https://bugzilla.redhat.com/show_bug.cgi?id=1459455

Create VM will call copy operation from source Template to the VM.
As noted in https://bugzilla.redhat.com/show_bug.cgi?id=1419240#c17, I could not find any reference in the log which indicate that the destination storage domain is block storage domain.
Can you please share the destination block storage domain the copy was done to, and the log of the copy operation which was done to that block SD?
Comment 6 Eyal Shenitzky 2017-06-11 05:10:28 EDT
Create a VM to a block-based storage domain from Template with a disk on block-based storage domain using sdm_copy (data-center 4.2/4.1).
Comment 7 Eyal Shenitzky 2017-06-11 05:12 EDT
Created attachment 1286818 [details]
engine and vdsm logs new
Comment 8 Maor 2017-06-12 11:57:11 EDT
I think that the problem is related to the Template's copy disks.
Can you please try to delete the Template disk's copies and try to create a new VM from Template, what is the actual size then?
Comment 9 Eyal Shenitzky 2017-06-18 09:39:51 EDT
You right, after removing the disk copies the actual size (6 GB) was smaller than the virtual size (10 GB)
Comment 10 Allon Mureinik 2017-06-19 04:45:25 EDT
(In reply to Eyal Shenitzky from comment #9)
> You right, after removing the disk copies the actual size (6 GB) was smaller
> than the virtual size (10 GB)

So is this a NOTABUG?
Comment 11 Eyal Shenitzky 2017-06-20 00:28:41 EDT
No, it is a bug.
Maor found the root cause and I verify that it occurs also in my environment.

The problem is that when the template disk has multiple copies, the scenario described above occur, but when the template has no copies it works as expected.
Comment 12 Allon Mureinik 2017-06-20 04:45:56 EDT
Just to make sure I understand - this is a *display* bug where the disk's size contains the size of the template too?
The actual image's size on the storage is OK?
Comment 13 Eyal Shenitzky 2017-06-20 07:53:57 EDT
The bug is not only a display bug, there is an issue with the images size.
Maor do you have more info?
Comment 14 Raz Tamir 2017-08-10 05:43:25 EDT
*** Bug 1480133 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.